# RPM .spec file for gnome-mlview.

#################################################################################
#This file is part of gnome-mlview.
#gnome-mlview is distributed under the terms of the GNU General Public License.
#Please, read the COPYING file to have more accurate licensing information.
################################################################################

#####################################################
#AUTHORS:
#
#Pierre Sarrazin <sarrazip@sympatico.ca>: Original Author.
#Dodji Seketeli <dseketeli@april.org>: maintainer.
#####################################################

Summary: XML Editor for GNOME
Name: mlview
Version: 0.0.2
Release: 1
Copyright: GNU General Public Licence.
Group: Applications/Editors
Source: %{name}-%{version}.tar.gz
URL: http://www.freesoftware.fsf.org/mlview/
Packager: Dodji Seketeli <dseketeli@april.org>
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: libxml2 >= 2.4.22 gnome-libs >= 1.2.11
provides: libmlview.so.0

%description
gnome-mlview (Gnome Markup language Viewer) is an XML editor for GNOME.
It include support to view, edit, validate and save xml document by graphical
manipulation the xml Document Object Model.

%prep
%setup

%build
./configure --prefix=%{prefix} && make

%install
rm -fR $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{prefix} install

# Install an entry in the GNOME Applications menu:
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
cat >$RPM_BUILD_ROOT/usr/share/gnome/apps/Applications/mlview.desktop <<EOF 
[Desktop Entry]
Name=MlView
Comment=MlView - XML editor for GNOME
Comment[fr]=MlView - diteur XML pour GNOME
Exec=mlv
Terminal=0
Type=Application
EOF

#copy the 
%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/lib/*.so*
%{prefix}/bin/mlv
%{prefix}/bin/gnome-mlview
/usr/share/gnome/apps/Applications/mlview.desktop
%{prefix}/share/gnome-mlview
%{prefix}/share/locale/fr/LC_MESSAGES/mlview.mo
%{prefix}/share/locale/ja/LC_MESSAGES/mlview.mo